dsdpdsmat_impl.h File Reference

Structure of function pointers that each SDP Delta S matrix type (sparse, dense, diagonal, ...) must implement. More...

Go to the source code of this file.

## Data Structures

struct | DSDPDSMat_Ops
| Symmetric Delta S matrix for one block in the semidefinite cone. More...

## Functions

int | DSDPDSMatOpsInitialize (struct DSDPDSMat_Ops *)
| Set pointers to null.

## Detailed Description

Structure of function pointers that each SDP Delta S matrix type (sparse, dense, diagonal, ...) must implement.

Definition in file dsdpdsmat_impl.h.

## Function Documentation

## DSDPDSMatOpsInitialize()

int DSDPDSMatOpsInitialize | ( | struct DSDPDSMat_Ops * | aops | ) |

extern

Set pointers to null.

Parameters

  aops | pointer to table.

Definition at line 214 of file dsdpdsmat.c.

Referenced by DSDPDSMatInitialize().